/**
*HardwareSetup App
* There are different ways implementing an App
*/
var HardwareSetupApp = HardwareSetupApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
HardwareSetupApp.App = function () {
    this.id = 'Hardware Settings';
    this.name = 'Hardware Settings';
    this.version = '6.0.13';
    this.active = false;
    this.menuIcon = '/apps/hardware-setup/images/logo.png';
    this.shortcutIcon = '/apps/hardware-setup/images/logo.png';
    this.entryUrl = '/apps/hardware-setup/hardware-setup_index.html';
    //this.entryHelpUrl = '/apps/hardware-setup/hardware-setup_help.html';
    var self = this;
    this.HardwareSetupAppWindow = function () { //create app window
        if(UNAS.CheckAppState('Regional Options')){
            return false;
        }
        self.window = new MUI.Window({
            id: 'HardwareSetupAppWindow',
            title: UNAS._('Hardware Settings'),
            icon: '/apps/hardware-setup/images/logo_small.png',
            loadMethod: 'xhr',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            //resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            contentURL: '/apps/hardware-setup/hardware-setup_index.html',
            require: {  css: ['/apps/hardware-setup/css/hardware-setup.css?v=6.0.13&'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Hardware Settings",'HardwareSetupAppWindow')}
        });
    };
    this.HardwareSetupAppUninstall = function (){
        UNAS.RemoveDesktopShortcut('Hardware Settings');
        UNAS.RemoveMenu('Hardware Settings');
        UNAS.RemoveAppFromGroups('Hardware Settings', 'ControlPanel');
        UNAS.RemoveAppFromGroups('Hardware Settings', 'Help');
        UNAS.RemoveAppFromApps('Hardware Settings');
    }
    new UNAS.Menu('UNAS_ControlPanel_Setting_Menu', this.name, this.menuIcon, 'Hardware Settings', '', this.HardwareSetupAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Hardware Settings', this.HardwareSetupAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Setting', 'Location' : 7, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Setting', 'Location' : 7, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
       var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Hardware Settings', UNAS._('Hardware Settings'));
        UNAS.SetShortcutTitle('Hardware Settings', UNAS._('Hardware Settings'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('HardwareSetupAppWindow', UNAS._('Hardware Settings'));
        }
    }
    UNAS.LoadTranslation('/apps/hardware-setup/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name,this.shortcutIcon,this.HardwareSetupAppWindow,this.HardwareSetupAppUninstall);
};

new HardwareSetupApp.App(); //Create app
